## simple-launcher 0.9.1

=== Makefile ===
GTKCFLAGS := $(shell pkg-config gtk+-2.0 --cflags)
GTKLIBS := $(shell pkg-config gtk+-2.0 --libs)

DBUSCFLAGS := $(shell pkg-config dbus-1 --cflags)
DBUSLIBS := $(shell pkg-config dbus-1 --libs)

CXXFLAGS=-Wall -g -MMD $(GTKCFLAGS) $(DBUSCFLAGS)
#LDFLAGS = -module -avoid-version
LDFLAGS = -shared
LIBS = -lstdc++

TARGET=simple-launcher.so

all: $(TARGET)

tests: test test1

$(TARGET): simple-launcher.o launchable-item.o launcher-item.o sla-list.o
	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)

test: test.o launcher-item.o
	g++ -o $@ $^ $(GTKLIBS) $(DBUSLIBS) $(LIBS) -losso

test1: test1.o sla-list.o launcher-item.o
	g++ -g -o $@ $^ $(GTKLIBS) $(DBUSLIBS) $(LIBS)

clean:
	rm -f *.d *.o $(TARGET) test test1

install: $(TARGET)
	install -d $(DESTDIR)/usr/share/applications/hildon-home
	install -m 0644 simple-launcher.desktop $(DESTDIR)/usr/share/applications/hildon-home
	install -d $(DESTDIR)/usr/lib/hildon-home
	install -m 0644 $(TARGET) $(DESTDIR)/usr/lib/hildon-home

-include *.d

=== debian/changelog ===
simple-launcher (0.9.1) unstable; urgency=low

  * fixed the minimum size problem

 -- Mikhail Sobolev <mss@mawhrin.net>  Fri, 23 Mar 2007 16:43:05 +0200

simple-launcher (0.9) unstable; urgency=low

  * preparing the release :)
  * define minimal window size
  * show toolbar content as soon as it's available
  * updated copyright year
  * fixed the toggle (thanks, Kad)
  * implemented config save/load
  * check for newly available applications
  * replaced 0 with NULL where appropriate (get rid of compiler warnings)
  * locale application name and its comment
  * fixed the redraw of tree content
  * fixed the name of the text domain to get translations from

 -- Mikhail Sobolev <mss@mawhrin.net>  Thu, 22 Mar 2007 13:58:01 +0200

simple-launcher (0.7.1) unstable; urgency=low

  * Do add the renderer to the tree view column

 -- Mikhail Sobolev <mss@mawhrin.net>  Fri, 22 Dec 2006 20:25:36 +0200

simple-launcher (0.7) unstable; urgency=low

  * optimized code related to obtaining current icon theme
  * item list dialog is implemented
  * vertical resize is disabled
  * re-factored code:
    * created a wrapper over LauncherItem
    * moved the wrapper into a separate file
    * defined a list of LaunchableItems
    * started to work with LaunchableItems all over the code

 -- Mikhail Sobolev <mss@mawhrin.net>  Fri, 22 Dec 2006 09:23:40 +0200

simple-launcher (0.6) unstable; urgency=low

  * do not use theming for borders, some other way should be used
  * removed few operations from debian/rules
  * removed few unnecessary files from debian/: docs, dirs
  * fixed debian/copyright
  * updated build dependencies
  * implemented empty settings dialog for the applet

 -- Mikhail Sobolev <mss@mawhrin.net>  Wed,  6 Dec 2006 22:24:14 +0200

simple-launcher (0.5) unstable; urgency=low

  * fix (??) button size calculation
  * try to use theming for putting some border around the applet

 -- Mikhail Sobolev <mss@mawhrin.net>  Wed,  6 Dec 2006 12:00:10 +0200

simple-launcher (0.4) unstable; urgency=low

  * applet sets it size based on the number of buttons added to the widget
  * decorated the view (added some border, let's see how it looks)

 -- Mikhail Sobolev <mss@mawhrin.net>  Wed,  6 Dec 2006 11:49:44 +0200

simple-launcher (0.3) unstable; urgency=low

  * Enclose the widget into GtkFrame

 -- Mikhail Sobolev <mss@mawhrin.net>  Tue,  5 Dec 2006 23:31:18 +0200

simple-launcher (0.2) unstable; urgency=low

  * Updated Section: of the package

 -- Mikhail Sobolev <mss@mawhrin.net>  Tue, 05 Dec 2006 23:03:45 +0200

simple-launcher (0.1) unstable; urgency=low

  * Initial release

 -- Mikhail Sobolev <mss@mawhrin.net>  Tue,  5 Dec 2006 00:46:24 +0200

## simple-launcher 0.9.5

=== Makefile ===
GTKCFLAGS := $(shell pkg-config gtk+-2.0 --cflags)
GTKLIBS := $(shell pkg-config gtk+-2.0 --libs)

GCONFCFLAGS := $(shell pkg-config gconf-2.0 --cflags)
GCONFLIBS := $(shell pkg-config gconf-2.0 --libs)

DBUSCFLAGS := $(shell pkg-config dbus-1 --cflags)
DBUSLIBS := $(shell pkg-config dbus-1 --libs)

CXXFLAGS=-Wall -g -MMD $(GTKCFLAGS) $(DBUSCFLAGS) $(GCONFCFLAGS)
#LDFLAGS = -module -avoid-version
LDFLAGS = -shared
LIBS = -lstdc++

TARGET=simple-launcher.so
DESKTOP_FILE=simple-launcher.desktop
BACKUP_CONF=simple-launcher.backup

all: $(TARGET)

$(TARGET): simple-launcher.o launchable-item.o launcher-item.o settings-page-items.o utils.o settings-dialog.o gconf-wrapper.o dialog-entry.o settings-page-entries.o
	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -f *.d *.o $(TARGET)

install: $(TARGET)
	install -d $(DESTDIR)/usr/share/applications/hildon-home
	install -m 0644 $(DESKTOP_FILE) $(DESTDIR)/usr/share/applications/hildon-home
	install -d $(DESTDIR)/usr/lib/hildon-home
	install -m 0644 $(TARGET) $(DESTDIR)/usr/lib/hildon-home
	install -d $(DESTDIR)/etc/osso-backup/applications
	install -m 0644 $(BACKUP_CONF) $(DESTDIR)/etc/osso-backup/applications/simple-launcher.conf

pclean:
	fakeroot debian/rules clean

package:
	dpkg-buildpackage -rfakeroot -uc -b

-include *.d

=== tests/Makefile ===

tests: test test1 test2

test: test.o launcher-item.o
	g++ -o $@ $^ $(GTKLIBS) $(DBUSLIBS) $(LIBS) -losso

test1: test1.o settings-page-items.o launcher-item.o
	g++ -g -o $@ $^ $(GTKLIBS) $(DBUSLIBS) $(LIBS)

test2: test2.o gconf-wrapper.o
	g++ -g -o $@ $^ $(GCONFLIBS)

clean:
	rm -f *.d *.o test test1 test2

=== debian/changelog ===
simple-launcher (0.9.5) unstable; urgency=low

  * added Marko Nykanen's patch that would use libosso's way to display
    application start banner
  * look for the configuration file in the home directory of the user who run
    the applet (should help with applet usage under scratchbox)

 -- Mikhail Sobolev <mss@mawhrin.net>  Tue, 18 Sep 2007 14:21:42 +0300

simple-launcher (0.9.4) unstable; urgency=low

  * re-arranged the settings dialog
    * major refactoring of the settings dialog
    * settings dialog is moved into a separate class
    * added one tab with 'Items'
  * fixed a small memory leak
  * removed top-level GtkFrame
  * replaced buttons with eventboxes
  * trying big size :)
  * make transparency code a bit more explicit
  * separate icon size used in the applet and the settings dialog
  * SLAList class is renamed to SettingsPageWithItems (file names will follow)
  * renamed sla-list files to settings-page-items
  * do not allow 'insane' items to be selected in the settings dialog
  * fixed wrongdoings:
 	 * do not destroy applet's widget
   * delete array when it was allocated as array
  * make a private copy of icons obtained through GtkIconTheme
  * implemented a different widget for icon size selection
    * set active item if found in the list
  * added icon scaling for icons that are bigger than requested
  * increased spacing between icons

 -- Mikhail Sobolev <mss@mawhrin.net>  Tue, 15 May 2007 21:08:52 +0300

simple-launcher (0.9.3) unstable; urgency=low

  * the config file can now be backed up
  * enable activation of applications that do not have d-bus service

 -- Mikhail Sobolev <mss@mawhrin.net>  Sat, 24 Mar 2007 21:11:54 +0200

simple-launcher (0.9.2) unstable; urgency=low

  * minimum size in .desktop file is changed as well (so 1 icon only is now
    possible)
  * if application does not have an icon, or the icon cannot be loaded, the
    default one will be used

 -- Mikhail Sobolev <mss@mawhrin.net>  Sat, 24 Mar 2007 12:05:59 +0200

=== debian/control ===
Source: simple-launcher
Section: user/home-applet
Priority: extra
Maintainer: Mikhail Sobolev <mss@mawhrin.net>
Build-Depends: debhelper (>= 4), hildon-home-dev, libosso-dev, libstdc++6-dev
Standards-Version: 3.7.2

Package: simple-launcher
Architecture: any
Depends: ${shlibs:Depends}
Description: Application launcher for maemo-af-desktop
 I'll put a longer description as soon as it becomes necessary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/simple-launcher.sgml > simple-launcher.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/simple-launcher.
	$(MAKE) DESTDIR=$(CURDIR)/debian/simple-launcher install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
